/***************************************************************************
 *            cxp-entry-dialog.h
 *
 *  Sun Feb 13 23:49:57 2005
 *  Copyright  2005  Yasumichi Akahoshi
 *  yasumichi@users.sourceforge.jp
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 

#ifndef CXP_ABOUT_DIALOG_H
#define CXP_ABOUT_DIALOG_H

/*
 * Potentially, include other headers on which this header depends.
 */
#include <gtk/gtk.h>
#include <glib-object.h>

#define CXP_TYPE_ABOUT_DIALOG		  (cxp_about_dialog_get_type ())
#define CXP_ABOUT_DIALOG(obj)		  (G_TYPE_CHECK_INSTANCE_CAST ((obj), CXP_TYPE_ABOUT_DIALOG, CxpAboutDialog))
#define CXP_ABOUT_DIALOG_CLASS(klass)	  (G_TYPE_CHECK_CLASS_CAST ((klass), CXP_TYPE_ABOUT_DIALOG, CxpAboutDialogClass))
#define CXP_IS_ABOUT_DIALOG(obj)	  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CXP_TYPE_ABOUT_DIALOG))
#define CXP_IS_ABOUT_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), CXP_TYPE_ABOUT_DIALOG))
#define CXP_ABOUT_DIALOG_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), CXP_TYPE_ABOUT_DIALOG, CxpAboutDialogClass))

typedef struct _CxpAboutDialog CxpAboutDialog;
typedef struct _CxpAboutDialogClass CxpAboutDialogClass;

struct _CxpAboutDialog {
	GtkDialog parent;
};

struct _CxpAboutDialogClass {
	GtkDialogClass parent;
};

/* used by CXP_TYPE_ABOUT_DIALOG */
GType cxp_about_dialog_get_type (void);

/* API. */
GtkWidget *cxp_about_dialog_new(const gchar *appname, const gchar *version, const gchar *url, const gchar *copyright, const gchar *image_file);

#endif /* CXP_ABOUT_DIALOG_H */
